## neovim-lualine 0.0.6%2Bgit20250812

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Do not execute the upstream makefile
override_dh_auto_build:
# Likewise
override_dh_auto_test:

## neovim-lualine 0.0.6%2Bgit20251016

=== debian/changelog ===
neovim-lualine (0.0.6+git20251016-1) unstable; urgency=medium

  * New upstream release
  * d/control: Drop Rules-Require-Root field

 -- Matthias Geiger <werdahias@debian.org>  Sat, 15 Nov 2025 13:58:38 +0100

neovim-lualine (0.0.6+git20250812-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@debian.org>  Thu, 14 Aug 2025 21:41:39 +0200

neovim-lualine (0.0.6+git20250608-1) experimental; urgency=medium

  * New upstream release
  * d/control: Add Depends: git (Closes: #1108909)

 -- Matthias Geiger <werdahias@debian.org>  Tue, 08 Jul 2025 11:55:51 +0200

neovim-lualine (0.0.6+git20250412-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@debian.org>  Mon, 14 Apr 2025 21:34:59 +0200

neovim-lualine (0.0.6+git20250404-1) unstable; urgency=medium

  * New upstream release
  * Add d/salsa-ci.yml

 -- Matthias Geiger <werdahias@debian.org>  Sun, 06 Apr 2025 13:40:31 +0200

neovim-lualine (0.0.6+git20250208-1) unstable; urgency=medium

  * Initial release. (Closes: #1099128)

 -- Matthias Geiger <werdahias@debian.org>  Tue, 04 Mar 2025 21:55:25 +0100

## neovim-lualine 0.0.6+git20250812

=== Makefile ===
.DEFAULT_GOAL = check

lint:
	@luacheck lua/lualine/
	@luacheck tests/
	@luacheck examples/

format:
	@stylua --config-path=.stylua.toml lua/ examples/ tests/

test:
	@mkdir -p tmp_home
	@export XDG_DATA_HOME='./tmp_home' && \
	export XDG_CONFIG_HOME='./tmp_home' && \
	bash ./scripts/test_runner.sh
	@rm -rf tmp_home

# Install luacov & luacov-console from luarocks
testcov:
	@mkdir -p ./tmp_home/data/nvim
	@mkdir -p ./tmp_home/config/nvim
	@export XDG_DATA_HOME=$(realpath './tmp_home/data') && \
	export XDG_CONFIG_HOME=$(realpath './tmp_home/config') && \
	export TEST_COV=true && \
	bash ./scripts/test_runner.sh
	@luacov-console lua/
	@luacov-console -s
ifeq ($(NOCLEAN), )
		@rm luacov.*
endif
	@rm -rf tmp_home

docgen:
	@sh ./scripts/docgen.sh

precommit_check: docgen format test lint

check: lint test

## neovim-lualine 0.0.6+git20250412

=== debian/control ===
Source: neovim-lualine
Section: editors
Priority: optional
Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-vim-addon,
Standards-Version: 4.7.2
Homepage: https://github.com/nvim-lualine/lualine.nvim
Vcs-Browser: https://salsa.debian.org/vim-team/neovim-lualine
Vcs-Git: https://salsa.debian.org/vim-team/neovim-lualine.git

Package: neovim-lualine
Architecture: all
Depends: ${misc:Depends}, ${vim-addon:Depends}
Description: fast and light statusbar for neovim
 lualine is a statusbar written for neovim, similar to airline.
 It's fast and highly configureable. A variety of themes are provided;
 see /usr/share/doc/nvim-lualine/THEMES.md. For configuration please refer
 to /usr/share/doc/nvim-lualine/README.md and :help lualine.
 .
 This is a neovim-only plugin.

## neovim-lualine 0.0.6+git20250812

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: neovim-lualine
 Architecture: all
-Depends: ${misc:Depends}, ${vim-addon:Depends}
+Depends: ${misc:Depends}, ${vim-addon:Depends}, git
 Description: fast and light statusbar for neovim
  lualine is a statusbar written for neovim, similar to airline.
  It's fast and highly configureable. A variety of themes are provided;

=== debian/watch ===
version=4
opts=\
mode=git,\
pretty=0.0.6+git%cd \
https://github.com/nvim-lualine/lualine.nvim.git HEAD

## neovim-lualine 0.0.6+git20251016

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
 Uploaders: Matthias Geiger <werdahias@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-vim-addon,

## neovim-lualine 0.0.6+git20251123

=== debian/changelog ===
neovim-lualine (0.0.6+git20251123-2) unstable; urgency=medium

  [ Carl Keinath ]
  * d/tests: enable upstream testsuite

  [ Matthias Geiger ]
  * d/control: Bump S-V to 4.7.3; drop priority: optional

 -- Matthias Geiger <werdahias@debian.org>  Mon, 23 Feb 2026 21:34:14 +0100

neovim-lualine (0.0.6+git20251123-1) unstable; urgency=medium

  * New upstream release
  * d/control: Demote git to Recommends (Closes: #1121693)

 -- Matthias Geiger <werdahias@debian.org>  Fri, 05 Dec 2025 01:31:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: neovim-lualine
 Section: editors
-Priority: optional
 Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
 Uploaders: Matthias Geiger <werdahias@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-vim-addon,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/nvim-lualine/lualine.nvim
 Vcs-Browser: https://salsa.debian.org/vim-team/neovim-lualine
 Vcs-Git: https://salsa.debian.org/vim-team/neovim-lualine.git
 
 Package: neovim-lualine
 Architecture: all
-Depends: ${misc:Depends}, ${vim-addon:Depends}, git
+Depends: ${misc:Depends}, ${vim-addon:Depends}
+Recommends: git
 Description: fast and light statusbar for neovim
  lualine is a statusbar written for neovim, similar to airline.
  It's fast and highly configureable. A variety of themes are provided;

=== debian/tests/control ===
Tests: run-tests

Tests: upstream-tests
Depends: @, neovim-plenary, git
Restrictions: allow-stderr
